Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.j3d.utils.geometry
Class Text2D

    java.lang.Object
      javax.media.j3d.SceneGraphObject
          javax.media.j3d.Node
              javax.media.j3d.Leaf
                  javax.media.j3d.Shape3D
                      com.sun.j3d.utils.geometry.Text2D

    public class Text2D

extends Shape3D

A Text2D object is a representation of a string as a texture mapped rectangle. The texture for the rectangle shows the string as rendered in the specified color with a transparent background. The appearance of the characters is specified using the font indicated by the font name, size and style (see java.awt.Font). The approximate height of the rendered string will be the font size times the rectangle scale factor, which has a default value of 1/256. For example, a 12 point font will produce characters that are about 12/256 = 0.047 meters tall. The lower left corner of the rectangle is located at (0,0,0) with the height extending along the positive y-axis and the width extending along the positive x-axis.

Field Summary

Fields inherited from class javax.media.j3d.Shape3D
`ALLOW_APPEARANCE_OVERRIDE_READ, ALLOW_APPEARANCE_OVERRIDE_WRITE, ALLOW_APPEARANCE_READ, ALLOW_APPEARANCE_WRITE, ALLOW_COLLISION_BOUNDS_READ, ALLOW_COLLISION_BOUNDS_WRITE, ALLOW_GEOMETRY_READ, ALLOW_GEOMETRY_WRITE`

Fields inherited from class javax.media.j3d.Node
`ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

Constructor Summary
`Text2D(java.lang.String text, Color3f color, java.lang.String fontName, int fontSize, int fontStyle)` Creates a Shape3D object which holds a rectangle that is texture-mapped with an image that has the specified text written with the specified font parameters.

Method Summary
`Color3f` | `getColor()` Returns the color of the text
`java.lang.String` | `getFontName()` Returns the font
`int` | `getFontSize()` Returns the font size
`int` | `getFontStyle()` Returns the font style
`float` | `getRectangleScaleFactor()` Gets the current scale factor being used in converting the image width/height to width/height values in 3D.
`java.lang.String` | `getString()` Returns the text string
`void` | `setRectangleScaleFactor(float newScaleFactor)` Sets the scale factor used in converting the image width/height to width/height values in 3D.
`void` | `setString(java.lang.String text)`

Methods inherited from class javax.media.j3d.Shape3D
`addGeometry, cloneNode, duplicateNode, getAllGeometries, getAppearance, getAppearanceOverrideEnable, getBounds, getCollisionBounds, getGeometry, getGeometry, indexOfGeometry, insertGeometry, intersect, intersect, intersect, numGeometries, removeAllGeometries, removeGeometry, removeGeometry, setAppearance, setAppearanceOverrideEnable, setCollisionBounds, setGeometry, setGeometry`

Methods inherited from class javax.media.j3d.Node
`cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, getBoundsAutoCompute, getCollidable, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setUserData, updateNodeReferences`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Text2D

    public Text2D(java.lang.String text,
                  Color3f color,
                  java.lang.String fontName,
                  int fontSize,
                  int fontStyle)

  Creates a Shape3D object which holds a rectangle that is texture-mapped with an image that has the specified text written with the specified font parameters.

  Parameters:
    `text` - The string to be written into the texture map.
    `color` - The color of the text string.
    `fontName` - The name of the Java font to be used for the text string.
    `fontSize` - The size of the Java font to be used.
    `fontStyle` - The style of the Java font to be used.

Method Detail

### setString

    public void setString(java.lang.String text)

### setRectangleScaleFactor

    public void setRectangleScaleFactor(float newScaleFactor)

  Sets the scale factor used in converting the image width/height to width/height values in 3D.

  Parameters:
    `newScaleFactor` - The new scale factor.

### getRectangleScaleFactor

    public float getRectangleScaleFactor()

  Gets the current scale factor being used in converting the image width/height to width/height values in 3D.

  Returns:
    The current scale factor.

### getString

    public java.lang.String getString()

  Returns the text string

  Since:
    Java 3D 1.2.1

### getColor

    public Color3f getColor()

  Returns the color of the text

  Since:
    Java 3D 1.2.1

### getFontName

    public java.lang.String getFontName()

  Returns the font

  Since:
    Java 3D 1.2.1

### getFontSize

    public int getFontSize()

  Returns the font size

  Since:
    Java 3D 1.2.1

### getFontStyle

    public int getFontStyle()

  Returns the font style

  Since:
    Java 3D 1.2.1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD